Description

In the following example

#include <stdio.h>
#include <iostream>
#include <nemo/Vector.h>

using namespace std;
using namespace nemo;

int main() {
    RealVector v = {0.1, 0.5};
    cout << "v=" << v << endl;
    cout << "max(v[0], 3.0)=" << max(v[0], 3.0) << endl;
    return 0;
}

the compiler puts the following error:

error: no matching function for call to ‘max(nemo::MathVector<double>::ReadWriteRef, double)’

History
#1 - 02/02/2012 03:48 PM - M. Rolf

Likely solution:
provide 'friend inline min/max' methods inside ReadWriteRef namespace.
Same thing as with custom 'swap' implementation.
Actually it seems that max/min/swap are the only functions in STL that do not rely on iterator-based access, so this fix should cover the entire STL
compliance.

#2 - 02/02/2012 03:50 PM - M. Rolf
- Target version set to NemoMath 0.4

#3 - 03/28/2012 05:23 PM - M. Rolf
- Status changed from New to Resolved
- % Done changed from 0 to 100

04/26/2024 1/1


